0
$\begingroup$

Rosanswers logo

According to the gazebosim wiki, version 1.9.x of gazebo should be installed when ros hydro is installed but for reasons unknown I'm getting gazebo-current (i.e. version 2.x.y) installed. Any idea why?

I'm entering:

sudo apt-get install ros-hydro-desktop-full

and the output is:

The following NEW packages will be installed:
gazebo-current ... 

I've also had gazebo-current install earlier but have since removed it.


Originally posted by Angus on ROS Answers with karma: 438 on 2013-11-16

Post score: 1

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

It boils down to the fact that there are two debian repositories (ROS and OSRF) offering different versions of gazebo_ros_pkgs and gazebo / gazebo-current.

ROS Repository:

  • provides gazebo 1.9.x and gazebo_ros_pkgs 2.3.x for hydro as ros-hydro-gazebo-ros-pkgs.

OSRF Repository (this was created for DRCSim and for testing gazebo_ros_pkgs against newer versions of gazebo):

  • provides gazebo 1.9 and gazebo-current 2.1
  • provides gazebo_ros_pkgs 2.4.x for hydro as ros-hydro-gazebo-ros-pkgs that depends on gazebo-current 2.1.

To make sure you do not end up installing the version of ros-hydro-gazebo-ros-pkgs 2.4.x that uses gazebo-current, remove /etc/apt/sources.list.d/gazebo-latest.list or /etc/apt/sources.list.d/osrf*.list or comment out its content:

# deb http://packages.osrfoundation.org/gazebo/ubuntu [quantal/precise/...] main

Then remove gazebo-ros-pkgs and gazebo, update and reinstall:

sudo apt-get remove gazebo-current ros-hydro-gazebo-ros-pkgs
sudo apt-get update
sudo apt-get install ros-hydro-[...]

Note that we are in the process of renaming ros-hydro-gazebo-pkgs 2.4.x in OSRF repo to ros-hydro-gazebo-pkgs-current to avoid confusions.

John


Originally posted by hsu with karma: 5780 on 2013-11-19

This answer was ACCEPTED on the original site

Post score: 4

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.